Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.couriers
Class CourierUtil

    java.lang.Object
      org.jboss.soa.esb.couriers.CourierUtil

    public class CourierUtil

extends java.lang.Object

Field Summary
`protected static org.apache.log4j.Logger` | `_logger`

Method Summary
`static byte[]` | `bytesFromLocalFile(java.io.File from)`
`static void` | `bytesToLocalFile(byte[] bytes, java.io.File to)`
`static void` | `cleanCourier(org.jboss.internal.soa.esb.couriers.DeliverOnlyCourier courier)`
`static void` | `cleanCourier(org.jboss.internal.soa.esb.couriers.PickUpOnlyCourier courier)`
`static void` | `cleanCourier(TwoWayCourier courier)`
`static void` | `deliverMessage(Message message)`
`static EPR` | `getDefaultReplyToEpr(EPR toEpr)` Deprecated. Use DefaultReplyTo helper class instead.
`static Message` | `messageFromLocalFile(java.io.File from)`
`static java.io.File` | `messageToLocalFile(java.io.File directory, Message message)`
`static java.util.Properties` | `propertiesFromSelector(java.lang.String selector)` Obtain properties and values used in a JMS message selector

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _logger

    protected static org.apache.log4j.Logger _logger

Method Detail

### getDefaultReplyToEpr

    public static EPR getDefaultReplyToEpr(EPR toEpr)
                                    throws CourierException,
                                           MalformedEPRException

  Deprecated. Use DefaultReplyTo helper class instead.

  Obtain a default replyToEPR (based on the toEpr) to which we can reply to.

  Parameters:
    `toEpr` - - the toEPR which will be used a basis to generate the replyToEPR.
  Returns:
    EPR - the EPR to which the pickup will be delivered.
  Throws:
    `URISyntaxException,` - CourierException
    `CourierException`
    `MalformedEPRException`

### propertiesFromSelector

    public static java.util.Properties propertiesFromSelector(java.lang.String selector)
                                                       throws ConfigurationException

  Obtain properties and values used in a JMS message selector

  Parameters:
    `selector` - A valid JMS message selector
  Returns:
    Properties A Properties object containing the keys and values in the message selector
  Throws:
    `ConfigurationException`

### messageToLocalFile

    public static java.io.File messageToLocalFile(java.io.File directory,
                                                  Message message)
                                           throws java.io.IOException,
                                                  javax.xml.parsers.ParserConfigurationException

  Throws:
    `java.io.IOException`
    `javax.xml.parsers.ParserConfigurationException`

### messageFromLocalFile

    public static Message messageFromLocalFile(java.io.File from)
                                        throws java.io.FileNotFoundException,
                                               java.io.IOException,
                                               java.lang.ClassNotFoundException,
                                               java.lang.ClassCastException,
                                               javax.xml.parsers.ParserConfigurationException,
                                               org.xml.sax.SAXException,
                                               CourierException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
    `java.lang.ClassCastException`
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `CourierException`

### bytesFromLocalFile

    public static byte[] bytesFromLocalFile(java.io.File from)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### bytesToLocalFile

    public static void bytesToLocalFile(byte[] bytes,
                                        java.io.File to)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### deliverMessage

    public static void deliverMessage(Message message)
                               throws java.net.URISyntaxException,
                                      CourierException,
                                      MalformedEPRException

  Throws:
    `java.net.URISyntaxException`
    `CourierException`
    `MalformedEPRException`

### cleanCourier

    public static void cleanCourier(org.jboss.internal.soa.esb.couriers.PickUpOnlyCourier courier)

### cleanCourier

    public static void cleanCourier(org.jboss.internal.soa.esb.couriers.DeliverOnlyCourier courier)

### cleanCourier

    public static void cleanCourier(TwoWayCourier courier)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD